summaryrefslogtreecommitdiffstats
path: root/redhat/dependencies/qt3/qt.sh
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-09-05 13:53:08 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-09-05 13:53:08 -0500
commited4fba5b52a126babf633ece832bed7cc50347e4 (patch)
treedf4dda5b511fe6a3930c567d2391a9f574570618 /redhat/dependencies/qt3/qt.sh
parent9135c977131b957134d4b691542998b2dc397378 (diff)
parent3c86eeb8b77e5ea83ce7938d75c17b7bde9b31d5 (diff)
downloadtde-packaging-ed4fba5b52a126babf633ece832bed7cc50347e4.tar.gz
tde-packaging-ed4fba5b52a126babf633ece832bed7cc50347e4.zip
Merge branch 'master' of http://scm.trinitydesktop.org/scm/git/tde-packaging
Diffstat (limited to 'redhat/dependencies/qt3/qt.sh')
-rwxr-xr-xredhat/dependencies/qt3/qt.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/redhat/dependencies/qt3/qt.sh b/redhat/dependencies/qt3/qt.sh
new file mode 100755
index 000000000..f9ca654c1
--- /dev/null
+++ b/redhat/dependencies/qt3/qt.sh
@@ -0,0 +1,32 @@
+# Qt initialization script (sh)
+
+# In multilib environments there is a preferred architecture, 64 bit over 32 bit in x86_64,
+# 32 bit over 64 bit in ppc64. When a conflict is found between two packages corresponding
+# with different arches, the installed file is the one from the preferred arch. This is
+# very common for executables in /usr/bin, for example. If the file /usr/bin/foo is found
+# in an x86_64 package and in an i386 package, the executable from x86_64 will be installe
+
+if [ -z "${QTDIR}" ]; then
+
+case `uname -m` in
+ x86_64 | ia64 | s390x )
+ QT_PREFIXES="/usr/lib64/qt-3.3 /usr/lib/qt-3.3" ;;
+ * )
+ QT_PREFIXES="/usr/lib/qt-3.3 /usr/lib64/qt-3.3" ;;
+esac
+
+for QTDIR in ${QT_PREFIXES} ; do
+ test -d "${QTDIR}" && break
+done
+unset QT_PREFIXES
+
+if ! echo ${PATH} | /bin/grep -q $QTDIR/bin ; then
+ PATH=$QTDIR/bin:${PATH}
+fi
+
+QTINC="$QTDIR/include"
+QTLIB="$QTDIR/lib"
+
+export QTDIR QTINC QTLIB PATH
+
+fi